GuidesPipeline API ReferenceChangelog
Pipeline API Reference

Create a new PipelineVersion.

Defines a new version for the given Pipeline. This includes all the information to run actual processing, including the Pipeline Template, actual input & output catalogs and configurations. This endpoint instantiates the PipelineVersion and returns its metadata, that includes the id assigned to it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

System generated identifier for the Pipeline.

Body Params

PipelineVersion to be created, with PipelineTemplate id and HRNs of input and output catalogs.

Model representing a configured PipelineVersion. This includes all the configuration to run actual processing, in particular the PipelineTemplate to be used, that contains the implementation and provides metadata to instantiate and run it, and actual input and output catalog instances, identified via HRNs.

string
required
length between 3 and 64

Name of this PipelineVersion, provided by the user.

uuid
required

System generated identifier (UUID) for the Pipeline Template that specifies implementation and relative metadata to run the Pipeline Version.

inputCatalogs
object
required

Input catalogs for the PipelineVersion as key, HRN pairs. Each key is an alpha-numeric string (_- are also allowed) identifying the catalog.

string
required

Unique HERE Resource Name of the output catalog.

schedulerConfiguration
object

The configuration of the scheduler for running the Jobs based on the provided criteria. If scheduler configuration is not provided then the platform runs the version immediately.

clusterConfiguration
object

Configuration for the cluster when submitting a pipeline version.

string

The custom runtime configuration for this Pipeline Version. Runtime configuration settings supplied here will be added to any default runtime configuration settings from the parent Pipeline Template. Any runtime configuration settings here will over-ride any defaults from the parent Pipeline Template which are using the same key. The configuration settings are combined and applied dynamically whenever this Pipeline Version is run. The combined configuration values are made available in a resource file named application.properties on the runtime classpath. When a particular Pipeline Version is retrieved, only the runtime configuration settings that were stored directly as part of the PipelineVersion will be returned; any runtime configuration settings from the parent Pipeline Template are visible only in the Template. For more information, see the "Configuration File Reference" section of the developer documentation.

The maximum property 'name' size is 2048 characters, the maximum property 'value' size is 8192 characters, and the maximum total size of this customRuntimeConfiguration string is 10243 characters.

streamConfiguration
object

Allows overriding of the Flink Configuration. The properties that are allowed are limited.

string

RunAsId Id to run the pipeline

string
length between 4 and 16

Billing tag for this Pipeline Version. Might be required for a realm.

latestOperation
object

An Operation represents a request to control, and change state, submitted by the user for a PipelineVersion.

latestJob
object

Description of one processing Job submitted to the processing cluster by an active PipelineVersion.

boolean

This field determines whether the Multi-Region Failover feature is enabled for this Pipeline Version.

Headers
string

Identifier for a specific http request. If not present, one will be generated.

string

Common identifier for multiple http requests to indicate they are associated in some way. If not present, one will be generated.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json